Bug 15416 - include path is not working for g77
Summary: include path is not working for g77
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-04 17:15 UTC by John Deisz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 17:15:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Deisz 2000-08-04 17:15:32 UTC
g77 is not searching the include paths, via

      %  g77 -c code.f  -I/usr/include

Thus, fortran include statements of the form

                include 'mpif.h'                !   the lam package header
file "/usr/include/mpif.h" 

fail.  However, if the full path is typed in the fortran source file:

               include '/usr/include/mpif.h'

then g77 does include the file.

Comment 1 Jakub Jelinek 2000-08-21 07:16:25 UTC
Fixed in gcc-g77-2.96-53


Note You need to log in before you can comment on or make changes to this bug.